# ApplicationFramework
TKPShape
PColgp

# PColgp_SeqExplorerOfHSequenceOfXYZ Class Reference

`#include <PColgp_SeqExplorerOfHSequenceOfXYZ.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColgp_SeqExplorerOfHSequenceOfXYZ (const Handle(PColgp_HSequenceOfXYZ)&S)
Standard_EXPORT gp_XYZ | Value (const Standard_Integer Index)
Standard_EXPORT Standard_Boolean | Contains (const gp_XYZ &T)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const gp_XYZ &T, const Standard_Integer FromIndex, const Standard_Integer ToIndex)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const gp_XYZ &T)

## Private Attributes

Handle_PColgp_SeqNodeOfHSequenceOfXYZ | CurrentItem
Standard_Integer | CurrentIndex
Handle_PColgp_HSequenceOfXYZ | TheSequence

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_SeqExplorerOfHSequenceOfXYZ::PColgp_SeqExplorerOfHSequenceOfXYZ | ( | const Handle(PColgp_HSequenceOfXYZ)& | S | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean PColgp_SeqExplorerOfHSequenceOfXYZ::Contains | ( | const gp_XYZ & | T | ) |

Standard_EXPORT Standard_Integer PColgp_SeqExplorerOfHSequenceOfXYZ::Location | ( | const Standard_Integer | N,
|  | const gp_XYZ & | T
| ) |

Standard_EXPORT Standard_Integer PColgp_SeqExplorerOfHSequenceOfXYZ::Location | ( | const Standard_Integer | N,
|  | const gp_XYZ & | T,
|  | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

void PColgp_SeqExplorerOfHSequenceOfXYZ::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PColgp_SeqExplorerOfHSequenceOfXYZ::operator new | ( | size_t | size | ) | `[inline]`

void* PColgp_SeqExplorerOfHSequenceOfXYZ::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT gp_XYZ PColgp_SeqExplorerOfHSequenceOfXYZ::Value | ( | const Standard_Integer | Index | ) |

## Field Documentation

Standard_Integer PColgp_SeqExplorerOfHSequenceOfXYZ::CurrentIndex `[private]`

Handle_PColgp_SeqNodeOfHSequenceOfXYZ PColgp_SeqExplorerOfHSequenceOfXYZ::CurrentItem `[private]`

Handle_PColgp_HSequenceOfXYZ PColgp_SeqExplorerOfHSequenceOfXYZ::TheSequence `[private]`

The documentation for this class was generated from the following file:

- PColgp_SeqExplorerOfHSequenceOfXYZ.hxx